<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <style>
      p:hover {
        color: blue;
        cursor: pointer;
      }

      .result {
        display: none;
      }

      .pilihan {
        color: red;
      }
    </style>
    <title>Document</title>
  </head>
  <body>
    <div class="main">
      <div class="soal">
        <h1>INI SOAL</h1>
        <div class="jawaban">
          <p class="">A. Jawaban 1</p>
          <p class="">B. Jawaban 2</p>
          <p class="">C. Jawaban 3</p>
          <p class="">D. Jawaban 4</p>
        </div>

        <div class="submit">
          <div class="button">
            <button class="submit">Submit</button>
            <button class="delete">delete</button>
          </div>
        </div>

        <div class="result">
          <h1>SELAMAT</h1>
        </div>
      </div>
    </div>

    <script>
      const jawaban = document.getElementsByClassName("jawaban");
      const jawaban2 = document.getElementsByClassName("jawaban1");
      // console.log(document.querySelectorAll("p"));
      let jawabans;
      function submitAnswer() {
        console.log("SUBMIT");
      }

      function pilih(i) {
        console.log(i);
        if (jawaban[0].children[0].style.color === "red") {
          jawaban[0].children[0].style.color = "black";
        } else {
          jawaban[0].children[0].style.color = "red";
          const p = document.createElement("h1");
          p.textContent =
            "Jawban anda adalah:  " + jawaban[0].children[0].textContent;
          document.body.append(p);

          console.log(jawaban[0].children[0].innerHTML);
        }
      }
      // jawaban[0].children[0].addEventListener("click", pilih);

      var lists = document.querySelectorAll("p");
      console.log(lists);
      //      console.log(document.getElementsByClassName("jawaban"));
      let choise;
      const doSomething2 = function () {
        console.log(this);
        Array.prototype.forEach.call(lists, (el) => {
          el.classList.remove("pilihan");
        });
        this.classList.add("pilihan");
        choise = this.textContent;
      };

      const doSomething = function () {
        console.log(this.textContent);

        [].map.call(lists, function (elem) {
          elem.classList.remove("pilihan");
          //p.remove();
        });
        //const p = document.createElement("h1");
        //p.textContent = "Jawban anda adalah:  " + this.textContent;
        //document.body.append(p);
        console.log(this);
        this.classList.add("pilihan");
      };
      Array.prototype.map.call(lists, function (elem) {
        elem.addEventListener("click", doSomething2);
      });

      const button = document.querySelectorAll(".submit button");
      button[0].addEventListener("click", () => {
        if (choise === "A. Jawaban 1") {
          const block = document.querySelector(".result");
          block.style.display = "block";
        }
        console.log(choise);
      });

      const deleteAnswer = document.querySelectorAll(".delete");
      console.log(deleteAnswer);
      const app = document.getElementsByClassName("jawaban")[0];
      const p = document.createElement("p");
      p.textContent = "HALO";
      app.append(p);
      console.log(app);
      deleteAnswer[0].addEventListener("click", () => {
        console.log("JAWBAAN DI HAPUS");
        choise = "";
        const block = document.querySelector(".result");
        block.style.display = "none";
      });
    </script>
  </body>
</html>
